Bug 233435 - kernel: BUG: soft lockup detected on CPU#1!
kernel: BUG: soft lockup detected on CPU#1!
Status: CLOSED DUPLICATE of bug 250994
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-22 10:07 EDT by David Blundell
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-13 16:18:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Blundell 2007-03-22 10:07:51 EDT
Description of problem: RHEL5 running in DomU under RHEL5 Dom0 experiences soft lockup.

Version-Release number of selected component (if applicable): RHEL5

How reproducible: Unknown

Steps to Reproduce:

1. Install x86_64 RHEL5 in DomU under x86_64 RHEL5 Dom0.

2. Set DomU to boot on Dom0 restart.

3. Reboot Dom0 and look at error messages in DomU.  Error messages continue until DomU is 
rebooted.

4. Subsequent reboots of Dom0 trigger same error messages in DomU.

5. Error messages also sometimes appear when the DomU is under load (it could be that rebooting just 
causes enough load to trigger the error message).
  
Actual results:

The error seems benign as the DomU is still usable.

Mar 21 20:09:00 ve1 kernel: Breaking affinity for irq 260
Mar 21 20:09:00 ve1 kernel: Breaking affinity for irq 261
Mar 21 20:09:00 ve1 kernel: Breaking affinity for irq 262
Mar 21 20:09:00 ve1 kernel: Breaking affinity for irq 266
Mar 21 20:41:28 ve1 kernel: netfront: device eth0 has flipping receive path.
Mar 21 20:41:28 ve1 kernel: netfront: device eth0 has flipping receive path.
Mar 21 20:41:28 ve1 kernel: Initializing CPU#1
Mar 21 20:42:56 ve1 kernel: BUG: soft lockup detected on CPU#1!
Mar 21 20:42:56 ve1 kernel: 
Mar 21 20:42:56 ve1 kernel: Call Trace:
Mar 21 20:42:56 ve1 kernel:  <IRQ>  [<ffffffff802a771a>] softlockup_tick+0xdb/0xed
Mar 21 20:42:56 ve1 kernel:  [<ffffffff8026baac>] timer_interrupt+0x396/0x3f2
Mar 21 20:42:56 ve1 kernel:  [<ffffffff80210a87>] handle_IRQ_event+0x2d/0x60
Mar 21 20:42:56 ve1 kernel:  [<ffffffff802a7a59>] __do_IRQ+0xa4/0x105
Mar 21 20:42:56 ve1 kernel:  [<ffffffff80286f56>] _local_bh_enable+0x61/0xc5
Mar 21 20:42:56 ve1 kernel:  [<ffffffff802699ef>] do_IRQ+0xe7/0xf5
Mar 21 20:42:56 ve1 kernel:  [<ffffffff8038df0a>] evtchn_do_upcall+0x86/0xe0
Mar 21 20:42:56 ve1 kernel:  [<ffffffff8025cc1a>] do_hypervisor_callback+0x1e/0x2c
Mar 21 20:42:56 ve1 kernel:  <EOI>  [<ffffffff802063aa>] hypercall_page+0x3aa/0x1000
Mar 21 20:42:56 ve1 kernel:  [<ffffffff802063aa>] hypercall_page+0x3aa/0x1000
Mar 21 20:42:56 ve1 kernel:  [<ffffffff8026b028>] raw_safe_halt+0x84/0xa8
Mar 21 20:42:56 ve1 kernel:  [<ffffffff80268534>] xen_idle+0x38/0x4a
Mar 21 20:42:56 ve1 kernel:  [<ffffffff80247bcd>] cpu_idle+0x97/0xba
Mar 21 20:42:56 ve1 kernel: 
Mar 21 20:43:14 ve1 kernel: BUG: soft lockup detected on CPU#1!
Mar 21 20:43:14 ve1 kernel: 
Mar 21 20:43:14 ve1 kernel: Call Trace:
Mar 21 20:43:14 ve1 kernel:  <IRQ>  [<ffffffff802a771a>] softlockup_tick+0xdb/0xed
Mar 21 20:43:14 ve1 kernel:  [<ffffffff8026baac>] timer_interrupt+0x396/0x3f2
Mar 21 20:43:14 ve1 kernel:  [<ffffffff80210a87>] handle_IRQ_event+0x2d/0x60
Mar 21 20:43:14 ve1 kernel:  [<ffffffff802a7a59>] __do_IRQ+0xa4/0x105
Mar 21 20:43:14 ve1 kernel:  [<ffffffff80286f56>] _local_bh_enable+0x61/0xc5
Mar 21 20:43:14 ve1 kernel:  [<ffffffff802699ef>] do_IRQ+0xe7/0xf5
Mar 21 20:43:14 ve1 kernel:  [<ffffffff8038df0a>] evtchn_do_upcall+0x86/0xe0
Mar 21 20:43:14 ve1 kernel:  [<ffffffff8025cc1a>] do_hypervisor_callback+0x1e/0x2c
Mar 21 20:43:14 ve1 kernel:  <EOI>  [<ffffffff802063aa>] hypercall_page+0x3aa/0x1000
Mar 21 20:43:14 ve1 kernel:  [<ffffffff802063aa>] hypercall_page+0x3aa/0x1000
Mar 21 20:43:14 ve1 kernel:  [<ffffffff8026b028>] raw_safe_halt+0x84/0xa8
Mar 21 20:43:14 ve1 kernel:  [<ffffffff80268534>] xen_idle+0x38/0x4a
Mar 21 20:43:14 ve1 kernel:  [<ffffffff80247bcd>] cpu_idle+0x97/0xba
Mar 21 20:43:14 ve1 kernel: 
Mar 21 20:43:59 ve1 kernel: BUG: soft lockup detected on CPU#1!

... Error messages continue

Expected results:
No error messages
Comment 1 Chris Lalancette 2007-08-13 16:18:24 EDT
Closing this as a dup, since 250994 is the same problem, and has more information.

Chris Lalancette

*** This bug has been marked as a duplicate of 250994 ***

Note You need to log in before you can comment on or make changes to this bug.